-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlFormalParameter

Declaration :

- C++ : class UmlFormalParameter : public UmlBaseFormalParameter
- Java : class UmlFormalParameter extends UmlBaseFormalParameter

This class manages 'formal parameters' of a template class. For instance 'T' in
template class Cl<class T> ...
You can modify it as you want (except the constructor)

Artifact : UmlFormalParameter

Operation UmlFormalParameter

Declaration :

- C++ : public: UmlFormalParameter()
- Java : public UmlFormalParameter()

All public operations :

defaultValue , name , type